{
  "name": "tlaternet",
  "version": "1.0.0",
  "description": "tlaternet web interface",
  "author": "Tristan Maat <tm@tlater.net>",
  "license": "MIT",
  "private": true,
  "dependencies": {
    "@fortawesome/fontawesome-free": "^5.13.1",
    "bootstrap": "^4.5.0",
    "classnames": "^2.2.6",
    "immutability-helper": "^3.1.1",
    "jquery": "^3.5.1",
    "popper.js": "^1.16.1",
    "react": "^16.13.1",
    "react-dom": "^16.13.1",
    "react-redux": "^7.2.0",
    "redux": "^4.0.5",
    "redux-act": "^1.8.0",
    "three": "^0.127.0"
  },
  "devDependencies": {
    "@babel/preset-env": "^7.18.2",
    "@babel/preset-typescript": "^7.17.12",
    "@parcel/transformer-sass": "^2.6.1",
    "@parcel/validator-typescript": "^2.6.1",
    "@types/jquery": "^3.5.14",
    "@types/react": "^16.14.28",
    "@types/react-dom": "^17.0.17",
    "@types/react-redux": "^7.1.24",
    "@types/three": "^0.127.1",
    "@typescript-eslint/eslint-plugin": "^4.33.0",
    "@typescript-eslint/parser": "^4.33.0",
    "eslint": "^7.32.0",
    "parcel": "^2.6.1",
    "posthtml-extend": "^0.6.3",
    "posthtml-favicons": "^1.3.0",
    "posthtml-include": "^1.7.4",
    "posthtml-markdownit": "^1.1.0",
    "sass": "^1.52.3",
    "typescript": "^4.7.4",
    "typescript-language-server": "^0.4.0"
  },
  "scripts": {
    "build": "parcel build --no-autoinstall src/index.html",
    "serve": "parcel serve --no-autoinstall src/index.html",
    "watch": "parcel watch --no-autoinstall src/index.html",
    "build-dist": "parcel build --no-cache --no-autoinstall src/index.html; rename '.html' '.html.hbs' dist/browser/*.html"
  },
  "targets": {
    "browser": {
      "engines": {
        "browsers": [
          ">1%",
          "not dead"
        ]
      },
      "distDir": "dist"
    }
  }
}
